import {requestInstance} from "@/service";

export function unitImputationWatchHomeTableData() {
 return requestInstance({
  url:'/ServiceMonitor/queryAllPublishedList',
  data:{
   pageSize:10000,
   pageIndex:1,
  }
 })
}
export function getUnitImputationWatchHomeTableData(params) {
 return requestInstance({
  url:'/ServiceMonitor/queryNameList',
  data:{
   ...params
  }
 })
}
export function getUnitImputationWatchDetail(){
 return requestInstance({
  url:'/ServiceMonitor/getTableList',
  data:{

  }
 })
}
export function getUnitImputationDialogAllDirSelect() {
 return requestInstance({
  url:'/ptjkInterface/getCatalogNotGxjhNameList',
  data:{

  }
 })
}
export function addUnitImputationSheetInfoHome(  CATALOG_CODE,
                                                 TABLENAME) {
 return requestInstance({
  url:'/ptjkInterface/createTable',
  data:{
   CATALOG_CODE,
   TABLENAME
  }
 })
}
export function addOrDataImputationData(params) {
 return requestInstance({
  url:'/ServiceMonitor/insertNameList',
  data:{
   ...params
  }
 })
}
